## conspy 1.16

=== Makefile ===
-include Makefile-automake

.PHONY: run-autoconf
run-autoconf:
	libtoolize
	aclocal
	automake --add-missing --copy
	autoconf
	./configure
	$(MAKE)

RELEASE_SOURCES = \
	ChangeLog.txt \
	configure.ac \
	conspy.1 \
	conspy.c \
	conspy.html \
	conspy.spec \
	Makefile \
	Makefile-automake.am \
	Makefile.release \
	README.txt

include Makefile.release

## conspy 1.7

=== debian/changelog ===
conspy (1.7-2) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Update standards version to 3.8.4

 -- Russell Stuart <russell-debian@stuart.id.au>  Tue, 29 Jun 2010 14:25:07 +1000

conspy (1.7-1) unstable; urgency=low

  * New upstream release.
  * Improved error reporting when device nodes aren't found,
    Closes: #535625.
  * Added autmake-1.10 to build depends,
    Closes: #543044.
    Thanks to Kumar Appaiah <a.kumar@alumni.iitm.ac.in> for his patch.

 -- Russell Stuart <russell-debian@stuart.id.au>  Sun, 23 Aug 2009 19:10:13 +1000

conspy (1.6-1) unstable; urgency=low

  * New upstream release.
  * Bumped debhelper build-debends to 7.

 -- Russell Stuart <russell-debian@stuart.id.au>  Thu,  4 Jun 2009 13:51:09 +1000

conspy (1.5-1) unstable; urgency=low

  * New upstream release.
  * Now compiles on FeeeBSD.  Thanks to Cyril Brulebois for
    finding the problem and supplying a patch.
    Closes: #414327.
  * This should force a recompile.
    Closes: #493940.
  * Added DM-Upload-Allowed: yes
  * Brought up to Standards-version 3.8.1.

 -- Russell Stuart <russell-debian@stuart.id.au>  Tue, 26 May 2009 10:51:48 +1000

conspy (1.4-1) unstable; urgency=low

  * New upstream release.  Closes: #347913.

 -- Russell Stuart <russell-debian@stuart.id.au>  Sat, 14 Jan 2006 19:52:08 +1000

conspy (1.3-1) unstable; urgency=low

  * New upstream release.  Closes: #346478.

 -- Russell Stuart <russell-debian@stuart.id.au>  Mon,  9 Jan 2006 12:00:21 +1000

conspy (1.2-1) unstable; urgency=low

  * New upstream release.  Closes: #345433.

 -- Russell Stuart <russell-debian@stuart.id.au>  Sun,  1 Jan 2006 19:21:53 +1000

conspy (1.1-1) unstable; urgency=low

  * Initial Release. closes: #280539.

 -- Russell Stuart <russell-debian@stuart.id.au>  Mon,  8 Dec 2003 12:02:04 +1000

=== debian/control ===
Source: conspy
Section: admin
Priority: optional
Maintainer: Russell Stuart <russell-debian@stuart.id.au>
Build-Depends: debhelper (>= 7), libncurses5-dev, automake1.10 | automake, autoconf
Standards-Version: 3.8.4
Homepage: http://www.stuart.id.au/russell/files/conspy/
DM-Upload-Allowed: yes

Package: conspy
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Remote control of Linux virtual consoles
 Conspy allows a (possibly remote) user to see what is displayed
 on a Linux virtual console, and send keystrokes to it.  It is
 rather like VNC, but where VNC takes control of a GUI conspy
 takes control of a text mode virtual console.  Unlike VNC,
 conspy does not require a server to be installed prior to being
 used.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
endif
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif

get-orig-source:
	@if [ -z "$(UPSTREAM_VERSION)" ]; then echo "Please run as .../debian/rules UPSTREAM_VERSION=xxx $@"; exit 1; fi
	wget -O "conspy-$(UPSTREAM_VERSION).tar.gz" "http://www.stuart.id.au/russell/files/conspy/conspy-$(UPSTREAM_VERSION).tar.gz"
	mv conspy-$(UPSTREAM_VERSION).tar.gz conspy_$(UPSTREAM_VERSION).orig.tar.gz 

configure: config.status
config.status:
	dh_testdir
	aclocal-1.10
	automake-1.10 --foreign --add-missing --copy
	autoconf
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info

build: build-stamp

build-stamp:  configure
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	rm -f build-stamp 
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -rfv conspy missing Makefile.in aclocal.m4
	rm -rfv configure depcomp mkinstalldirs install-sh
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install prefix=$(CURDIR)/debian/conspy/usr


binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman conspy.1
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## conspy 1.8

=== debian/changelog ===
conspy (1.8-2) unstable; urgency=low

  * Upped standards release to 3.9.3.

 -- Russell Stuart <russell-debian@stuart.id.au>  Wed,  4 Apr 2012 18:18:50 +1000

conspy (1.8-1) unstable; urgency=low

  * New upstream version.  Closes: #622150.

 -- Russell Stuart <russell-debian@stuart.id.au>  Sun, 17 Apr 2011 14:08:53 +1000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Russell Stuart <russell-debian@stuart.id.au>
 Build-Depends: debhelper (>= 7), libncurses5-dev, automake1.10 | automake, autoconf
-Standards-Version: 3.8.4
+Standards-Version: 3.9.3
 Homepage: http://www.stuart.id.au/russell/files/conspy/
 DM-Upload-Allowed: yes

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,14 @@
 	wget -O "conspy-$(UPSTREAM_VERSION).tar.gz" "http://www.stuart.id.au/russell/files/conspy/conspy-$(UPSTREAM_VERSION).tar.gz"
 	mv conspy-$(UPSTREAM_VERSION).tar.gz conspy_$(UPSTREAM_VERSION).orig.tar.gz 
 
+clean:
+	dh_testdir
+	rm -f build-stamp 
+	[ ! -f Makefile ] || $(MAKE) distclean
+	rm -rfv conspy missing Makefile.in aclocal.m4
+	rm -rfv configure depcomp mkinstalldirs install-sh
+	dh_clean
+
 configure: config.status
 config.status:
 	dh_testdir
@@ -29,38 +37,40 @@
 	autoconf
 	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
 
-build: build-stamp
+build: build-arch
 
-build-stamp:  configure
+build-indep:
+	# nothing to do here.
+
+build-arch: configure
 	dh_testdir
 	$(MAKE)
-	touch build-stamp
+	touch build-arch-stamp
 
-clean:
-	dh_testdir
-	rm -f build-stamp 
-	[ ! -f Makefile ] || $(MAKE) distclean
-	rm -rfv conspy missing Makefile.in aclocal.m4
-	rm -rfv configure depcomp mkinstalldirs install-sh
-	dh_clean
+install: install-arch
 
-install: build
+install-indep: build-indep
+	# nothing to do here
+
+install-arch: build-arch
 	dh_testdir
 	dh_testroot
 	dh_clean -k
+	$(MAKE) install prefix=$(CURDIR)/debian/conspy/usr
 	dh_installdirs
-	$(MAKE) install prefix=$(CURDIR)/debian/conspy/usr
-
-
-binary-indep: build install
-
-# Build architecture-dependent files here.
-binary-arch: build install
-	dh_testdir
-	dh_testroot
 	dh_installdocs
 	dh_installman conspy.1
 	dh_installchangelogs ChangeLog
+
+binary: binary-arch
+
+binary-indep: install-indep
+	# nothing to do here
+
+# Build architecture-dependent files here.
+binary-arch: install-arch
+	dh_testdir
+	dh_testroot
 	dh_link
 	dh_strip
 	dh_compress
@@ -69,6 +79,3 @@
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
-
-binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3

http://www.stuart.id.au/russell/files/conspy/conspy-(.*).tar.gz

## conspy 1.10

=== debian/changelog ===
conspy (1.10-1) unstable; urgency=low

  * New upstream release rebasing for sourceforge.

 -- Russell Stuart <russell-debian@stuart.id.au>  Fri,  9 May 2014 19:47:18 +1000

conspy (1.9-1) unstable; urgency=low

  * New upstream release renaming configure.in to configure.ac.
  * Fix lintian warnings for jessie.

 -- Russell Stuart <russell-debian@stuart.id.au>  Sun,  4 May 2014 23:10:50 +1000

conspy (1.8-5) unstable; urgency=low

  * Added hardening.

 -- Russell Stuart <russell-debian@stuart.id.au>  Fri,  8 Nov 2013 18:39:15 +1000

conspy (1.8-4) unstable; urgency=low

  * Made debian/copyright machine readable.

 -- Russell Stuart <russell-debian@stuart.id.au>  Wed, 29 May 2013 13:00:38 +1000

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ME=$(shell sed 's,\([^ ]*\) .*,\1,;q' debian/changelog)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
endif
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif

.PHONY:	get-orig-source
get-orig-source:
	version=$(shell \
	    wget -O - "http://sourceforge.net/projects/$(ME)/files/" | \
	    sed -n 's;.*<a href="/projects/$(ME)/files/$(ME)-\([^/]*\)/".*;\1;p' | \
	    sort --version-sort -r | sed 1q); \
	wget "http://downloads.sourceforge.net/$(ME)/$(ME)-$${version}/$(ME)-$${version%-*}.tar.gz"; \
	mv "$(ME)-$${version%-*}.tar.gz" "$(ME)_$${version%-*}.orig.tar.gz"

.PHONY:	clean
clean:
	dh_testdir
	dh_clean
	$(MAKE) release-clean

configure: config.status
config.status: configure.ac
	dh_testdir
	aclocal
	automake --add-missing --copy
	autoconf
	$(shell dpkg-buildflags --export=configure) ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info

.PHONY: build build-arch build-indep
build: build-arch build-indep
build-indep:
build-arch: configure
	dh_testdir
	$(MAKE) $(shell dpkg-buildflags --export=configure)

.PHONY: install install-arch install-indep
install: install-arch install-indep
install-indep: build-indep
install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install prefix=$(CURDIR)/debian/$(ME)/usr
	dh_installdocs
	dh_installman $(ME).1
	dh_installchangelogs ChangeLog.txt

.PHONY: binary binary-arch binary-indep
binary: binary-arch binary-indep
binary-indep: install-indep
binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

=== debian/watch ===
version=3

https://sourceforge.net/projects/conspy/files/ /projects/conspy/files/conspy-(\d[^-]*)[^/]*/

## conspy 1.13

=== debian/changelog ===
conspy (1.13-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:40:17 +0000

conspy (1.13-1) unstable; urgency=low

  * New upstream release.

 -- Russell Stuart <russell-debian@stuart.id.au>  Mon, 21 Sep 2015 09:41:02 +1000

conspy (1.12-1) unstable; urgency=low

  * New upstream release.

 -- Russell Stuart <russell-debian@stuart.id.au>  Wed, 16 Sep 2015 21:23:59 +1000

conspy (1.11-1) unstable; urgency=low

  * New upstream release.
  * Fix uscan redirector.

 -- Russell Stuart <russell-debian@stuart.id.au>  Wed, 16 Sep 2015 20:37:42 +1000

## conspy 1.14

=== debian/changelog ===
conspy (1.14-1build2) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 14:14:09 +0000

conspy (1.14-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:17:33 +0000

conspy (1.14-1) unstable; urgency=low

  * Describe kernel limitations in man pages.
    Closes: #813034.
  * Infer size of large consoles.
    Closes: #813035.

 -- Russell Stuart <russell-debian@stuart.id.au>  Tue, 16 Feb 2016 20:41:44 +1000

=== debian/rules ===
--- 
+++ 
@@ -19,12 +19,7 @@
 
 .PHONY:	get-orig-source
 get-orig-source:
-	version=$(shell \
-	    wget -O - "http://sourceforge.net/projects/$(ME)/files/" | \
-	    sed -n 's;.*<a href="/projects/$(ME)/files/$(ME)-\([^/]*\)/".*;\1;p' | \
-	    sort --version-sort -r | sed 1q); \
-	wget "http://downloads.sourceforge.net/$(ME)/$(ME)-$${version}/$(ME)-$${version%-*}.tar.gz"; \
-	mv "$(ME)-$${version%-*}.tar.gz" "$(ME)_$${version%-*}.orig.tar.gz"
+	uscan --force-download --destdir=.
 
 .PHONY:	clean
 clean:

## conspy 1.16

=== debian/changelog ===
conspy (1.16-1) unstable; urgency=low

  * Bump standards version.
  * Bump debhelper version, closes: #965465.

 -- Russell Stuart <russell-debian@stuart.id.au>  Wed, 19 Aug 2020 19:16:51 +1000

conspy (1.15-1) unstable; urgency=low

  * Build hardening.
  * Bump standards version.

 -- Russell Stuart <russell-debian@stuart.id.au>  Tue, 16 Feb 2016 21:33:42 +1000

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: admin
 Priority: optional
 Maintainer: Russell Stuart <russell-debian@stuart.id.au>
-Build-Depends: debhelper (>= 7), libncurses5-dev, automake1.10 | automake, autoconf
-Standards-Version: 3.9.3
-Homepage: http://www.stuart.id.au/russell/files/conspy/
-DM-Upload-Allowed: yes
+Build-Depends: debhelper (>= 13), libncurses5-dev, automake, autoconf
+Standards-Version: 4.5.0
+Homepage: http://conspy.sourceforge.net/
 
 Package: conspy
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,9 @@
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+
+DEB_BUILD_MAINT_OPTIONS ?= hardening=+all
+
 
 ME=$(shell sed 's,\([^ ]*\) .*,\1,;q' debian/changelog)
 
@@ -33,14 +36,14 @@
 	aclocal
 	automake --add-missing --copy
 	autoconf
-	$(shell dpkg-buildflags --export=configure) ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
+	$(shell DEB_BUILD_MAINT_OPTIONS="$(DEB_BUILD_MAINT_OPTIONS)" dpkg-buildflags --export=configure) ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
 
 .PHONY: build build-arch build-indep
 build: build-arch build-indep
 build-indep:
 build-arch: configure
 	dh_testdir
-	$(MAKE) $(shell dpkg-buildflags --export=configure)
+	$(MAKE) $(shell DEB_BUILD_MAINT_OPTIONS="$(DEB_BUILD_MAINT_OPTIONS)" dpkg-buildflags --export=configure)
 
 .PHONY: install install-arch install-indep
 install: install-arch install-indep

=== debian/watch ===
version=3

http://sf.net/conspy/conspy-(.*)\.tar.gz
